# $Revision: 1.35 $, $Date: 2008/08/26 18:21:29 $
%define		_modname	http
%define		_fmodname	pecl_http
%define		_status		stable
Summary:	%{_modname} - extended HTTP support
Summary(pl.UTF-8):	%{_modname} - rozszerzona obsługa protokołu HTTP
Name:		php-pecl-%{_modname}
Version:	1.6.1
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_fmodname}-%{version}.tgz
# Source0-md5:	72f6a0b0d9e4ddc56ed964609e26ec2c
URL:		http://pecl.php.net/package/pecl_http/
BuildRequires:	curl-devel >= 7.12.3
BuildRequires:	openssl-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	zlib-devel >= 1.2.0.4
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This HTTP extension aims to provide a convenient and powerful set of
functionality for one of PHPs major applications.

It eases handling of HTTP urls, dates, redirects, headers and
messages, provides means for negotiation of clients preferred language
and charset, as well as a convenient way to send any arbitrary data
with caching and resuming capabilities.

It provides powerful request functionality, if built with CURL
support. Parallel requests are available for PHP 5 and greater.

Currently implemented features include:
- Building absolute URIs
- RFC compliant HTTP redirects
- RFC compliant HTTP date handling
- Parsing of HTTP headers and messages
- Caching by "Last-Modified" and/or ETag (with 'on the fly' option for
  ETag generation from buffered output)
- Sending data/files/streams with (multiple) ranges support
- Negotiating user preferred language/charset
- Convenient request functions to HEAD/GET/POST if libcurl is
  available
- HTTP auth hooks (Basic)
- PHP5 classes: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie HTTP ma na celu dostarczenie wygodnego i potężnego
zestawu funkcjonalności do jednego z najważniejszych zastosowań PHP.

Ułatwia obsługę adresów HTTP, dat, przekierowań, nagłówków i
wiadmości, dostarcza sposób do negocjacji preferowanego języka i
strony kodowej klienta, jak również wygodnego sposobu wysyłania
dowolnego rodzaju danych z możliwością keszowania oraz wznawiania
transferów.

Rozszerzenie dostarcza potężne możliwości zapytań, jeśli zbudowane
jest ze wsparciem dla CURL. Równoległe zapytania są dostępne od wersji
PHP 5.

Aktualnie zaimplementowane możliwości to między innymi:
- tworzenie bezwzględnych URI
- zgodne z RFC przekierowania HTTP
- zgodna z RFC obsługa daty HTTP
- przetwarzanie nagłówków i wiadomości HTTP
- buforowanie z użyciem "Last-Modified" i/lub ETagów (z opcję
  generowania "w locie" ETagów z buforowanego wyjścia)
- wysyłanie danych/plików/strumieni z obsługą (wielu) przedziałów
- negocjacja preferowanego przez użytkownika języka/zestawu znaków
- wygodne funkcje do żądań HEAD/GET/POST jeśli dostępna jest libcurl
- wywołania HTTP auth (Basic)
- klasy PHP5: HttpUtil, HttpResponse, HttpRequest, HttpRequestPool,
  HttpMessage

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_fmodname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_fmodname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_fmodname}-%{version}/{KnownIssues.txt,docs}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-http.spec,v $
Revision 1.35  2008/08/26 18:21:29  arekm
- release 2

Revision 1.34  2008/07/23 08:41:22  adamg
- updated to 1.6.1

Revision 1.33  2008-02-21 18:57:57  glen
- release 3

Revision 1.32  2008-02-21 18:48:07  glen
- release 2

Revision 1.31  2007-11-26 20:41:58  adamg
- updated to 1.6.0

Revision 1.30  2007/11/05 11:47:34  adamg
- updated to 1.5.6

Revision 1.29  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.27  2007/01/04 11:47:03  glen
- typo

Revision 1.26  2006/12/28 13:41:15  glen
- use new php extension related macros

Revision 1.25  2006/12/13 22:32:00  glen
- rel 2 (php 5.2.0)

Revision 1.24  2006/11/27 22:02:12  adamg
- updated to 1.3.3
- BuildRequires: curl-devel, openssl-devel, zlib-devel

Revision 1.23  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.22  2006/09/02 19:00:29  adamg
- updated to 1.2.1

Revision 1.21  2006/07/17 22:50:21  adamg
- updated to 1.1.0

Revision 1.20  2006/06/27 20:30:06  qboosh
- pl fixes

Revision 1.19  2006/06/26 13:55:03  adamg
- updated to 1.0.1 (stable)
- proper license
- extended description
- proper paths in %post/%postun

Revision 1.18  2005/12/22 12:11:46  glen
- rel 2 (rebuild with new php)

Revision 1.17  2005/11/19 20:18:55  adamg
- updated to 0.18.1

Revision 1.16  2005/10/30 13:29:27  glen
- rel 4

Revision 1.15  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.14  2005/09/14 20:34:57  glen
- rel 2

Revision 1.13  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.12  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.11  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.10  2005/09/10 21:21:43  adamg
- updated to 0.13.0

Revision 1.9  2005/08/26 16:14:52  adamg
- move %define calls to the top of the file

Revision 1.8  2005/08/26 15:52:28  adamg
- updated to 0.12.0
- switched to conf.d

Revision 1.7  2005/07/27 06:59:16  adamg
- updated to 0.10.1

Revision 1.6  2005/03/27 01:22:14  adamg
- updated to 0.7.0

Revision 1.5  2005/03/20 18:58:57  adamg
- updated to 0.6.1

Revision 1.4  2005/02/25 18:46:31  adamg
- updated to 0.5.1

Revision 1.3  2005/02/20 19:10:50  qboosh
- pl

Revision 1.2  2005/02/20 08:01:51  adamg
- updated to 0.5.0
- extended description a bit
- license fix

Revision 1.1  2005/02/19 20:11:57  adamg
- new
